Package org.jfree.report.util

# Class MessageFormatSupport

java.lang.Object
org.jfree.report.util.MessageFormatSupport

All Implemented Interfaces:
  `Serializable`, `Cloneable`

public class MessageFormatSupport extends Object implements Serializable, Cloneable

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected static class`
`MessageFormatSupport.MessageCompiler`

## Constructor Summary

Constructors
Constructor
Description
`MessageFormatSupport()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`clone()`
`static String`
`formatWithReplace(MessageFormat format, Object[] inputValues, String nullString)`
`static String`
`formatWithReplace(DataRow dataRow, MessageFormat format, String[] fields, String nullString)`
`String`
`getCompiledFormat()`
`String[]`
`getFields()`
`String`
`getFormatString()`
`Locale`
`getLocale()`
`String`
`getNullString()`
`String`
`performFormat(DataRow dataRow)`
`void`
`setFormatString(String formatString)`
`void`
`setLocale(Locale locale)`
`void`
`setNullString(String nullString)`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MessageFormatSupport

public MessageFormatSupport()

## Method Details

### getFormatString

public String getFormatString()

### setFormatString

public void setFormatString(String formatString)

### performFormat

public String performFormat(DataRow dataRow) throws DataSourceException

Throws:
  `DataSourceException`

### getLocale

public Locale getLocale()

### getCompiledFormat

public String getCompiledFormat()

### setLocale

public void setLocale(Locale locale)

### getNullString

public String getNullString()

### setNullString

public void setNullString(String nullString)

### clone

public Object clone() throws CloneNotSupportedException

Overrides:
  `clone` in class `Object`
Throws:
  `CloneNotSupportedException`

### getFields

public String[] getFields()

### formatWithReplace

public static String formatWithReplace(DataRow dataRow, MessageFormat format, String[] fields, String nullString) throws DataSourceException

Throws:
  `DataSourceException`

### formatWithReplace

public static String formatWithReplace(MessageFormat format, Object[] inputValues, String nullString)